package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils

import io.swagger.model.EmailSmsSentCount
import io.swagger.model.EmailSmsSentLimit
import io.swagger.model.Error

import java.util.*;

@Mixin(ApiUtils)
class EmailSMSStatsApi {
    String basePath = "https://reputationcrm.com/v2"
    String versionPath = "/api/v1"

    def getEmailSmsSentCount ( String username, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/getEmailSmsSentCount"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (username == null) {
            throw new RuntimeException("missing required params username")
        }

        if (!"null".equals(String.valueOf(username)))
            queryParams.put("username", String.valueOf(username))


        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    EmailSmsSentCount.class )
                    
    }
    def getEmailSmsSentLimit ( String username, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/getEmailSmsSentLimit"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (username == null) {
            throw new RuntimeException("missing required params username")
        }

        if (!"null".equals(String.valueOf(username)))
            queryParams.put("username", String.valueOf(username))


        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    EmailSmsSentLimit.class )
                    
    }
}
