package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils

import io.swagger.model.Error
import io.swagger.model.Queue

import java.util.*;

@Mixin(ApiUtils)
class QueueApi {
    String basePath = "https://reputationcrm.com/v2"
    String versionPath = "/api/v1"

    def deleteQueueByCustomerId ( String customerid, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/deleteQueueByCustomerId"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (customerid == null) {
            throw new RuntimeException("missing required params customerid")
        }

        

        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "DELETE", "",
                    null )
                    
    }
    def deleteQueueBycompanyId ( String companyid, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/deleteQueueBycompanyId"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (companyid == null) {
            throw new RuntimeException("missing required params companyid")
        }

        

        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "DELETE", "",
                    null )
                    
    }
    def getQueueBycompanyId ( String companyid, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/getQueueBycompanyId"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (companyid == null) {
            throw new RuntimeException("missing required params companyid")
        }

        if (!"null".equals(String.valueOf(companyid)))
            queryParams.put("companyid", String.valueOf(companyid))


        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    Queue.class )
                    
    }
    def getSingleCustomerQueue ( String customerid, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/getQueueByCustomerId"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (customerid == null) {
            throw new RuntimeException("missing required params customerid")
        }

        if (!"null".equals(String.valueOf(customerid)))
            queryParams.put("customerid", String.valueOf(customerid))


        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "GET", "array",
                    Queue.class )
                    
    }
}
